GET api/medistreamprogramstepapi/step/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
MediStreamProgramStepViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| program_id | globally unique identifier |
Required |
|
| code | integer |
Required Range: inclusive between 0 and ∞ |
|
| name | string |
Required |
|
| medistream_program_step_type_id | globally unique identifier |
Required |
|
| active | boolean |
Required |
Response Formats
application/json, text/json
Sample:
{
"id": "6f0ec5e6-c74d-4297-b13b-c82caf984117",
"program_id": "f537c53a-dade-44d7-a415-267a1e72dcf8",
"code": 3,
"name": "sample string 4",
"medistream_program_step_type_id": "e2449066-fe5d-44d2-bbe7-37773d2339f7",
"active": true
}
application/xml, text/xml
Sample:
<medistream_program_step xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <code>3</code> <id>6f0ec5e6-c74d-4297-b13b-c82caf984117</id> <medistream_program_step_type_id>e2449066-fe5d-44d2-bbe7-37773d2339f7</medistream_program_step_type_id> <name>sample string 4</name> <program_id>f537c53a-dade-44d7-a415-267a1e72dcf8</program_id> </medistream_program_step>